Bug 1413677 - Network Router provisioning must call and use raw create method
Summary: Network Router provisioning must call and use raw create method
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Gilles Dubreuil
QA Contact: Ido Ovadia
URL:
Whiteboard: openstack:sdn
Depends On: 1411170
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 16:28 UTC by Satoe Imaishi
Modified: 2017-02-27 19:28 UTC (History)
8 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1411170
Environment:
Last Closed: 2017-02-27 19:28:02 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-16 16:31:02 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/1b2c2f29b3dc75feec767e2da2b3a744aea600cb

commit 1b2c2f29b3dc75feec767e2da2b3a744aea600cb
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Mon Jan 9 13:01:21 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 16 11:20:34 2017 -0500

    Merge pull request #13072 from gildub/openstack_network_controller_network_router_fix_queue
    
    Network Router:  Raw commands are wrapped in raw prefixed methods
    (cherry picked from commit 2ef53fa263866f753c155a96fbb8db05b700d4fb)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1413677

 .../openstack/network_manager/network_router.rb        | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

Comment 3 CFME Bot 2017-01-16 16:35:48 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/2170398cf5bd5f530abf9b901e7015a1c7f7db03

commit 2170398cf5bd5f530abf9b901e7015a1c7f7db03
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue Jan 10 07:34:57 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 16 11:31:27 2017 -0500

    Merge pull request #115 from gildub/network_router_raw_commands_in_spec
    
    [URGENT] Network Router now uses raw methods
    (cherry picked from commit 1772fcdb135f2b59435879268e8a22c007d16b5a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1413677

 spec/controllers/network_router_controller_spec.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 4 Ronnie Rasouli 2017-02-06 13:13:17 UTC
I need more info about this BZ, how to reproduce, what is the issue, how to verify...

Comment 5 Tzu-Mainn Chen 2017-02-06 14:00:04 UTC
Ah, we should have been more specific here; this change is entirely to the backend.  All you need to do is verify that router provisioning still works.

Comment 6 Ido Ovadia 2017-02-22 09:12:41 UTC
Verified
========
5.7.1.2

Comment 8 errata-xmlrpc 2017-02-27 19:28:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.